ros-jazzy-clearpath-manipulators-description (2.8.5-1noble) noble; urgency=high

  * Update Kinova 2F lite gripper joint limits (#298 <https://github.com/clearpathrobotics/clearpath_common/issues/298>)
  * Update Ignition nomenclature to new Gazebo gz names (#293 <https://github.com/clearpathrobotics/clearpath_common/issues/293>)
    * Rename ignition_frame_id to gz_frame_id in kinova_gen3_6dof.urdf.xacro
    * Rename ignition_frame_id to gz_frame_id in kinove_gen3_7dof.urdf.xacro
    * Change gripper plugin from Ignition to Gazebo in franka_gripper.urdf.xacro
    * Change Gazebo plugin from Ignition to GazeboSim in franka.urdf.xacro
    * Change ignition_frame_id to gz_frame_id in ouster_os1.urdf.xacro
  * Fix: Universal Robot Simulation Control (#290 <https://github.com/clearpathrobotics/clearpath_common/issues/290>)
    Add simulation control tag
  * Contributors: Andrei Costinescu, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 30 Jan 2026 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.8.4-1noble) noble; urgency=high

  * added accelerometer_config param (#288 <https://github.com/clearpathrobotics/clearpath_common/issues/288>)
  * Contributors: thickey-cpr

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 22 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.8.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.8.2-1noble) noble; urgency=high

  * Fix: Ewellix Parameters (#278 <https://github.com/clearpathrobotics/clearpath_common/issues/278>)
    Add plate and mount parameters to URDF
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Nov 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.8.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.8.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 23 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.7.4-1noble) noble; urgency=high

  * Feature: Kinova Jazzy Support (#265 <https://github.com/clearpathrobotics/clearpath_common/issues/265>)
    * Remove prefix from Kinova gripper joint
    * Switch mesh paths from file to package
    * Add custom description generator for Robotiq gripper on Kinova
    * Replace 'PI' property with 'math.pi'
    * Add ComposableNodeContainer to launch generator
    * Remove output from ComposableNode
    * Fix generator test
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.7.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.7.2-1noble) noble; urgency=high

  * Fix: franka_description dependency (#258 <https://github.com/clearpathrobotics/clearpath_common/issues/258>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.7.1-1noble) noble; urgency=high

  * Feature: Franka in Jazzy (#255 <https://github.com/clearpathrobotics/clearpath_common/issues/255>)
    * Forward from Humble: Feature Franka
    * Initial franka addition
    * Create joint instead of using connected_to parameter
    * Custom entry for generating Franka param
    * Franka control for multiple types
    * Modify entire Franka arm xacro
    * Add franka gripper
    * Copy and modify franka description
    * Add cutout for Franka arm_id
    * Add dependency for franka_description
    * Fix: Franka Update (#238 <https://github.com/clearpathrobotics/clearpath_common/issues/238>)
    * Pass version parameter to Franka Hardware Interface
    * Use franka_arm macro and always add position and velocity interfaces
    * Only use effort
    * Feature: Franka Hand (#244 <https://github.com/clearpathrobotics/clearpath_common/issues/244>)
    * Remove ros2_control controllers
    * Move gazebo control to a separate file
    * Pass arm_id to Franka SRDF
    * Pass poses from config with arm_id on Franka
    * Common method to replace placeholders in parameter files
    * Use appropriate placeholders in parameters
    * Replace controller_name placeholders at all points
    * Lint
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.7.0-1noble) noble; urgency=high

  * Add ewellix_description to package.xml (#251 <https://github.com/clearpathrobotics/clearpath_common/issues/251>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Aug 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.6.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 29 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.6.3-1noble) noble; urgency=high

  * Fix: Ewellix Gazebo Migration (#236 <https://github.com/clearpathrobotics/clearpath_common/issues/236>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 18 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.6.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 14 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.6.1-1noble) noble; urgency=high

  * Forward Fix: Universal Robots Rate (#233 <https://github.com/clearpathrobotics/clearpath_common/issues/233>)
    * Fix/Feature: UR Arm Controller Update Rate (#225 <https://github.com/clearpathrobotics/clearpath_common/issues/225>)
    * Change controller update rate for universal robots to 500
    * Use UniversalRobots update_rate parameters if available
    * Remove Franka
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.6.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.5.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 17 Jun 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.5.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 29 May 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.3.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 30 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.3.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.3.0-1noble) noble; urgency=high

  * Feature: Manipulator Samples and Poses (#163 <https://github.com/clearpathrobotics/clearpath_common/issues/163>) (#188 <https://github.com/clearpathrobotics/clearpath_common/issues/188>)
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 11 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.2.2-1noble) noble; urgency=high

  * Fast Forward Fix: Isolate UR Client Library in URDF (#195 <https://github.com/clearpathrobotics/clearpath_common/issues/195>)
    * Fix: Isolate Universal Robots driver and client library dependencies (#164 <https://github.com/clearpathrobotics/clearpath_common/issues/164>)
    * Update fake to mock
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 09 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.2.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.2.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 11 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.1.0-1noble) noble; urgency=high

  * Ewellix Lift (#136 <https://github.com/clearpathrobotics/clearpath_common/issues/136>) (#153 <https://github.com/clearpathrobotics/clearpath_common/issues/153>)
    Ewellix Lift
    - Add lift description
    - Add lifts to generators
  * Updated URDF
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 31 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.0.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 21 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 20 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.0.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (2.0.0-1noble) noble; urgency=high

  * Add PTZ sim support (#125 <https://github.com/clearpathrobotics/clearpath_common/issues/125>)
    * Now that axis_camera is released via OSRF, depend on the official package, remove duplicate meshes
    * Rename Gazebo plugins for Jazzy compatibility
    * Modify Axis camera URDFs to using the axis_camera meshes. This lets us control the gazebo topics. Fix the GZ topic names. Camera data is now visible in the simulation
    * Add joint controllers for the pan & tilt actuators. This provides velocity control over the simulated camera
  * Rename ign_ -> gz_ for gazebo dependencies, comment-out missing jazzy dependencies (for now)
  * Contributors: Chris Iverach-Brereton, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 16 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (1.0.0-1noble) noble; urgency=high

  * Add UR arm (#110 <https://github.com/clearpathrobotics/clearpath_common/issues/110>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Nov 2024 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.3.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 08 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.3.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.3.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 29 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.3.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 23 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.3.0-1noble) noble; urgency=high

  * Fixed package version on new packages to match old packages.
  * Changes.
  * Add meshes and URDF for robotiq 2f 140
  * Fixed all license headers
  * Added dependencies to manipulators description
  * Added Robotiq grippers for Kinova
  * Added all joints to the Kinova gripper SRDF
  * Removed unecessary parameter
  * Gripper joint set through arm URD
  * Added another variable to add namespace for MoveItt
  * Added argument to toggle manipulator controllers
  * Manipulator description to match platform description launch
  * Added all descriptions for kinova manipulators
  * Contributors: Luis Camero, Tony Baltovski
  * Add meshes and URDF for robotiq 2f 140
  * Fixed all license headers
  * Added dependencies to manipulators description
  * Added Robotiq grippers for Kinova
  * Added all joints to the Kinova gripper SRDF
  * Removed unecessary parameter
  * Gripper joint set through arm URD
  * Added another variable to add namespace for MoveItt
  * Added argument to toggle manipulator controllers
  * Manipulator description to match platform description launch
  * Added all descriptions for kinova manipulators
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 19 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.11-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 08 Aug 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.10-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 25 Jul 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.9-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 May 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.8-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 14 May 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.7-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Apr 2024 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.6-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.5-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 15 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 11 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 04 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 21 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.2.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 08 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.1.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 03 Nov 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.1.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 02 Oct 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.1.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.1.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.9-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.8-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.7-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.6-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.5-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-manipulators-description (0.0.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000


